CMSIS-RTOS: Globals

| CMSIS-RTOS Version 1.03 Real-Time Operating System: API and RTX Reference Implementation.

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Macros

- o
- s

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - o -

- OS_CLOCK : RTX_Conf_CM.c
- os_error() : cmsis_os_rtx_extensions.h , RTX_Conf_CM.c
- OS_ERROR_FIFO_OVF : RTX_Conf_CM.c
- OS_ERROR_MBX_OVF : RTX_Conf_CM.c
- OS_ERROR_STACK_OVF : RTX_Conf_CM.c
- OS_ERROR_TIMER_OVF : RTX_Conf_CM.c
- OS_FIFOSZ : RTX_Conf_CM.c
- os_idle_demon() : cmsis_os_rtx_extensions.h , RTX_Conf_CM.c
- OS_MAINSTKSIZE : RTX_Conf_CM.c
- OS_MUTEXCNT : RTX_Conf_CM.c
- OS_PRIVCNT : RTX_Conf_CM.c
- OS_PRIVSTKSIZE : RTX_Conf_CM.c
- os_pthread : cmsis_os.h
- os_ptimer : cmsis_os.h
- os_resume() : cmsis_os_rtx_extensions.h
- OS_ROBIN : RTX_Conf_CM.c
- OS_ROBINTOUT : RTX_Conf_CM.c
- OS_RUNPRIV : RTX_Conf_CM.c
- os_status_reserved : cmsis_os.h
- OS_STKCHECK : RTX_Conf_CM.c
- OS_STKINIT : RTX_Conf_CM.c
- OS_STKSIZE : RTX_Conf_CM.c
- os_suspend() : cmsis_os_rtx_extensions.h
- OS_TASKCNT : RTX_Conf_CM.c
- OS_TICK : RTX_Conf_CM.c
- os_tick_init() : RTX_Conf_CM.c
- os_tick_irqack() : RTX_Conf_CM.c
- os_tick_ovf() : RTX_Conf_CM.c
- os_tick_val() : RTX_Conf_CM.c
- os_timer_type : cmsis_os.txt , cmsis_os.h
- OS_TIMERCBQS : RTX_Conf_CM.c
- OS_TIMERPRIO : RTX_Conf_CM.c
- OS_TIMERS : RTX_Conf_CM.c
- OS_TIMERSTKSZ : RTX_Conf_CM.c
- OS_TRV : RTX_Conf_CM.c
- osCMSIS : cmsis_os.h
- osCMSIS_KERNEL : cmsis_os.h
- osDelay() : cmsis_os.h
- osErrorISR : cmsis_os.h
- osErrorISRRecursive : cmsis_os.h
- osErrorNoMemory : cmsis_os.h
- osErrorOS : cmsis_os.h
- osErrorParameter : cmsis_os.h
- osErrorPriority : cmsis_os.h
- osErrorResource : cmsis_os.h
- osErrorTimeoutResource : cmsis_os.h
- osErrorValue : cmsis_os.h
- osEventMail : cmsis_os.h
- osEventMessage : cmsis_os.h
- osEventSignal : cmsis_os.h
- osEventTimeout : cmsis_os.h
- osFeature_MailQ : cmsis_os.h
- osFeature_MainThread : cmsis_os.h
- osFeature_MessageQ : cmsis_os.h
- osFeature_Pool : cmsis_os.h
- osFeature_Semaphore : cmsis_os.h
- osFeature_Signals : cmsis_os.h
- osFeature_SysTick : cmsis_os.h
- osFeature_Wait : cmsis_os.h
- osKernelInitialize() : cmsis_os.h
- osKernelRunning() : cmsis_os.h
- osKernelStart() : cmsis_os.h
- osKernelSystemId : cmsis_os.h
- osKernelSysTick() : cmsis_os.h
- osKernelSysTickFrequency : cmsis_os.h
- osKernelSysTickMicroSec : cmsis_os.h
- osMailAlloc() : cmsis_os.h
- osMailCAlloc() : cmsis_os.h
- osMailCreate() : cmsis_os.h
- osMailFree() : cmsis_os.h
- osMailGet() : cmsis_os.h
- osMailPut() : cmsis_os.h
- osMailQ : cmsis_os.h
- osMailQDef : cmsis_os.h
- osMailQId : cmsis_os.h
- osMessageCreate() : cmsis_os.h
- osMessageGet() : cmsis_os.h
- osMessagePut() : cmsis_os.h
- osMessageQ : cmsis_os.h
- osMessageQDef : cmsis_os.h
- osMessageQId : cmsis_os.h
- osMutex : cmsis_os.h
- osMutexCreate() : cmsis_os.h
- osMutexDef : cmsis_os.h
- osMutexDelete() : cmsis_os.h
- osMutexId : cmsis_os.h
- osMutexRelease() : cmsis_os.h
- osMutexWait() : cmsis_os.h
- osOK : cmsis_os.h
- osPool : cmsis_os.h
- osPoolAlloc() : cmsis_os.h
- osPoolCAlloc() : cmsis_os.h
- osPoolCreate() : cmsis_os.h
- osPoolDef : cmsis_os.h
- osPoolFree() : cmsis_os.h
- osPoolId : cmsis_os.h
- osPriority : cmsis_os.h
- osPriorityAboveNormal : cmsis_os.h
- osPriorityBelowNormal : cmsis_os.h
- osPriorityError : cmsis_os.h
- osPriorityHigh : cmsis_os.h
- osPriorityIdle : cmsis_os.h
- osPriorityLow : cmsis_os.h
- osPriorityNormal : cmsis_os.h
- osPriorityRealtime : cmsis_os.h
- osSemaphore : cmsis_os.h
- osSemaphoreCreate() : cmsis_os.h
- osSemaphoreDef : cmsis_os.h
- osSemaphoreDelete() : cmsis_os.h
- osSemaphoreId : cmsis_os.h
- osSemaphoreRelease() : cmsis_os.h
- osSemaphoreWait() : cmsis_os.h
- osSignalClear() : cmsis_os.h
- osSignalSet() : cmsis_os.h
- osSignalWait() : cmsis_os.h
- osStatus : cmsis_os.txt , cmsis_os.h
- osThread : cmsis_os.h
- osThreadCreate() : cmsis_os.h
- osThreadDef : cmsis_os.h
- osThreadGetId() : cmsis_os.h
- osThreadGetPriority() : cmsis_os.h
- osThreadId : cmsis_os.h
- osThreadSetPriority() : cmsis_os.h
- osThreadTerminate() : cmsis_os.h
- osThreadYield() : cmsis_os.h
- osTimer : cmsis_os.h
- osTimerCreate() : cmsis_os.h
- osTimerDef : cmsis_os.h
- osTimerDelete() : cmsis_os.h
- osTimerId : cmsis_os.h
- osTimerOnce : cmsis_os.h
- osTimerPeriodic : cmsis_os.h
- osTimerStart() : cmsis_os.h
- osTimerStop() : cmsis_os.h
- osWait() : cmsis_os.h
- osWaitForever : cmsis_os.h

### - s -

- svcThreadGetId() : RTX_Conf_CM.c